ColorMapDialog Class Reference

`#include <ColorMapDialog.h>`

Inheritance diagram for ColorMapDialog:

## Public Member Functions

| ColorMapDialog (QWidget *parent=0, Qt::WFlags fl=0)
void | setMatrix (Matrix *m)

## Protected Slots

void | apply ()

## Private Attributes

QPushButton * | applyBtn
QPushButton * | closeBtn
Matrix * | d_matrix
ColorMapEditor * | editor

## Constructor & Destructor Documentation

ColorMapDialog::ColorMapDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References apply(), applyBtn, closeBtn, and editor.

## Member Function Documentation

void ColorMapDialog::apply | ( |  | ) |

protected slot

References ColorMapEditor::colorMap(), Matrix::colorMap(), Matrix::colorMapType(), Matrix::Custom, d_matrix, editor, Matrix::setColorMap(), and Matrix::undoStack().

Referenced by ColorMapDialog().

void ColorMapDialog::setMatrix | ( | Matrix * | m | ) |

References Matrix::colorMap(), Matrix::colorRange(), d_matrix, editor, ColorMapEditor::setColorMap(), and ColorMapEditor::setRange().

Referenced by ApplicationWindow::showColorMapDialog().

## Member Data Documentation

QPushButton* ColorMapDialog::applyBtn

private

Referenced by ColorMapDialog().

QPushButton * ColorMapDialog::closeBtn

private

Referenced by ColorMapDialog().

Matrix* ColorMapDialog::d_matrix

private

Referenced by apply(), and setMatrix().

ColorMapEditor* ColorMapDialog::editor

private

Referenced by apply(), ColorMapDialog(), and setMatrix().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/ColorMapDialog.h
- qtiplot/src/matrix/ColorMapDialog.cpp